• Alexis Girault's avatar
    ENH: Expose ios deployment target in CMake config · a75ef055
    Alexis Girault authored
    Can not use `CMAKE_OSX_DEPLOYMENT_TARGET` because it will set the
    minimum version for macosx and not iphoneos or ios-simulator. Issue filed
    in CMake: cmake/cmake#17431
    
    Instead, update the proper flags in the toolchain files by passing the
    `IOS_DEVELOPMENT_TARGET` during configuration.
    
    Default `IOS_DEVELOPMENT_TARGET` to the current sdk version (latest). It
    used to default to ios 5.0 for the simulators (2011) and ios 8.0 for the
    devices (2014).
    a75ef055
ios.simulator.toolchain.cmake.in 3.63 KB